> For the complete documentation index, see [llms.txt](https://docs.intrepidcs.com/vspy-3-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intrepidcs.com/vspy-3-documentation/3.9.13/vehicle-spy-tutorials/tutorial-simple-standalone-logging/part-7-extract-data.md).

# Part 7 - Extract Data

### Extract Data

The final process is to extract the data that was collected. The data can be extracted directly from the device or the SD card can be removed to allow use of an SD Card Adapter or USB reader. Data is extracted using the extract function in Vehicle Spy 3. Select **Tools> Utilities> Extract / Export** to open this function (Figure 1).

![Figure 1: The SD Card Extract Application.](https://content.gitbook.com/content/jb1RvXgxzxcqgZdVpbGb/blobs/AypAYukqCqenMoB19qpR/CoreMiniExtract.gif)

Select the **Source** drive to extract from (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smOne.gif)). If the drive is not shown, the **Refresh** button can be used to repopulate the list. Now select where to save the data. This is done using the **Browse** button next to the **Output** section in (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smTwo.gif)). The last step is to click the **Extract All Files** button (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smThree.gif)). This will take the data off of the SD card and put it into the specified directory. When finished, the extract application will launch Windows Explorer at the extracted file path. More information on using [Extract/Export can be found here](/vspy-3-documentation/3.9.13/vehicle-spy-main-menus/main-menu-tools/utilities-extract-export.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.intrepidcs.com/vspy-3-documentation/3.9.13/vehicle-spy-tutorials/tutorial-simple-standalone-logging/part-7-extract-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
